import { EditableRenderer } from '@genesislcap/grid-pro';
/**
 * @tagname %%prefix%%-editable-renderer
 */
export declare class ZeroEditableRenderer extends EditableRenderer {
}
/**
 * The Zero Ag Editable Renderer
 *
 * @public
 * @remarks
 * HTML Element: \<zero-editable-renderer\>
 */
export declare const zeroAgEditableRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<EditableRenderer, any>;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<EditableRenderer, any>;
}, typeof ZeroEditableRenderer>;
//# sourceMappingURL=editable.renderer.d.ts.map